package com.proyek.akhir.kodel.ui.koperasi.beranda

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import androidx.lifecycle.Observer
import androidx.lifecycle.ViewModelProvider
import androidx.recyclerview.widget.LinearLayoutManager
import com.proyek.akhir.kodel.R
import com.proyek.akhir.kodel.data.local.Penunggak
import kotlinx.android.synthetic.main.fragment_beranda.view.*

class BerandaFragment : Fragment() {
    private val listPenunggak: MutableList<Penunggak> = mutableListOf()
    private lateinit var penunggakKoperasiAdapter: PenunggakKoperasiAdapter

    private lateinit var homeViewModel: HomeViewModel

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        homeViewModel =
            ViewModelProvider(this).get(HomeViewModel::class.java)
        val root = inflater.inflate(R.layout.fragment_beranda, container, false)

        root.rvPenunggakKoperasi.setHasFixedSize(true)

        listPenunggak.addAll(getListPenunggak())

        root.rvPenunggakKoperasi.layoutManager =
            LinearLayoutManager(activity, LinearLayoutManager.VERTICAL, false)

        penunggakKoperasiAdapter = PenunggakKoperasiAdapter(listPenunggak)
        root.rvPenunggakKoperasi.adapter = penunggakKoperasiAdapter

        //val textView: TextView = root.findViewById(R.id.text_home)
        homeViewModel.text.observe(viewLifecycleOwner, Observer {
            //  textView.text = it
        })
        return root
    }

    private fun getListPenunggak(): ArrayList<Penunggak> {
        val dataImage = resources.obtainTypedArray(R.array.img_penunggak)
        val dataName = resources.getStringArray(R.array.name_penunggak)
        val dataHari = resources.getStringArray(R.array.hari_penunggak)

        val listPenunggakAll = ArrayList<Penunggak>()
        listPenunggak.clear()
        for (i in 0 until dataImage.length()) {
            val penunggak = Penunggak(
                dataImage.getResourceId(i, 0),
                dataName[i],
                dataHari[i]
            )
            listPenunggakAll.add(penunggak)
        }
        dataImage.recycle()
        return listPenunggakAll
    }
}
