package com.proyek.akhir.kodel.ui.koperasi.beranda

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.bumptech.glide.Glide
import com.proyek.akhir.kodel.R
import com.proyek.akhir.kodel.data.local.Penunggak
import kotlinx.android.synthetic.main.item_penunggak.view.*
import kotlinx.android.synthetic.main.item_penunggak_pengingat.view.hariPenunggak
import kotlinx.android.synthetic.main.item_penunggak_pengingat.view.imgPenunggak
import kotlinx.android.synthetic.main.item_penunggak_pengingat.view.namePenunggak

class PenunggakKoperasiAdapter(private val listPenunggak: List<Penunggak>) :
    RecyclerView.Adapter<PenunggakKoperasiAdapter.PenunggakViewHolder>() {

    inner class PenunggakViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        fun bind(penunggak: Penunggak) {
            with(itemView) {
                Glide.with(itemView.context)
                    .load(penunggak.imgPenunggak)
                    .into(imgPenunggak)
                namePenunggak.text = penunggak.namePenunggak
                hariPenunggak.text = penunggak.hariPenunggak
                deletePenunggakBeranda.visibility = View.VISIBLE
            }
        }
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): PenunggakViewHolder =
        PenunggakViewHolder(
            LayoutInflater.from(parent.context).inflate(
                R.layout.item_penunggak, parent, false
            )
        )

    override fun getItemCount(): Int = 3

    override fun onBindViewHolder(holder: PenunggakViewHolder, position: Int) {
        holder.bind(listPenunggak[position])
    }
}