package com.proyek.akhir.kodel.ui.koperasi.beranda.history

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import androidx.recyclerview.widget.LinearLayoutManager
import com.proyek.akhir.kodel.R
import com.proyek.akhir.kodel.data.local.History
import kotlinx.android.synthetic.main.activity_history_koperasi.*

class HistoryKoperasiActivity : AppCompatActivity() {
    private val listHistoryKoperasi: MutableList<History> = mutableListOf()
    private lateinit var historyKoperasiAdapter: HistoryKoperasiAdapter

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_history_koperasi)

        rvHistoryKoperasi.setHasFixedSize(true)

        listHistoryKoperasi.addAll(getListHistory())

        showRecyclerView()
    }

    private fun getListHistory(): ArrayList<History> {
        val data = resources.getStringArray(R.array.history)

        val listHistoryAll = ArrayList<History>()
        for (i in data.indices) {
            val history = History(
                data[i],
                data[i]
            )
            listHistoryAll.add(history)
        }
        return listHistoryAll
    }

    private fun showRecyclerView() {
        rvHistoryKoperasi.layoutManager =
            LinearLayoutManager(this, LinearLayoutManager.VERTICAL, false)
        historyKoperasiAdapter = HistoryKoperasiAdapter(listHistoryKoperasi)
        rvHistoryKoperasi.adapter = historyKoperasiAdapter

    }
}
