package com.proyek.akhir.kodel.ui.koperasi.produk

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import androidx.recyclerview.widget.LinearLayoutManager
import com.google.android.material.snackbar.Snackbar
import com.proyek.akhir.kodel.R
import com.proyek.akhir.kodel.data.local.Produk
import kotlinx.android.synthetic.main.activity_produk_koperasi.*

class ProdukKoperasiActivity : AppCompatActivity() {
    private val listProdukKoperasi: MutableList<Produk> = mutableListOf()
    private lateinit var produkKoperasiAdapter: ProdukKoperasiAdapter


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_produk_koperasi)

        rvProdukKoperasi.setHasFixedSize(true)
        listProdukKoperasi.addAll(getListProduk())

        showRecyclerProduk()

        addProdukKoperasi.setOnClickListener { view ->
            Snackbar.make(view, "Replace with your own action", Snackbar.LENGTH_LONG)
                .setAction("Action", null).show()
        }
    }

    private fun showRecyclerProduk() {
        rvProdukKoperasi.layoutManager =
            LinearLayoutManager(this, LinearLayoutManager.VERTICAL, false)
        produkKoperasiAdapter = ProdukKoperasiAdapter(listProdukKoperasi)
        rvProdukKoperasi.adapter = produkKoperasiAdapter
    }

    private fun getListProduk(): ArrayList<Produk> {
        val dataImage = resources.obtainTypedArray(R.array.img_produk)
        val dataName = resources.getStringArray(R.array.nama_produk)
        val dataPrice = resources.getStringArray(R.array.harga_produk)
        val dataCategory = resources.getStringArray(R.array.category_produk)

        val listProdukAll = ArrayList<Produk>()
        listProdukAll.clear()
        for (i in 0 until dataImage.length()) {
            val produk = Produk(
                dataImage.getResourceId(i, 0),
                dataName[i],
                dataPrice[i],
                dataCategory[i]
            )
            listProdukAll.add(produk)
        }
        dataImage.recycle()
        return listProdukAll
    }
}
