package com.proyek.akhir.kodel.ui.user.dashboard

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.proyek.akhir.kodel.data.response.Anggota
import com.proyek.akhir.kodel.data.response.Berita
import com.proyek.akhir.kodel.data.response.Utang
import com.proyek.akhir.kodel.utils.ApiClient
import retrofit2.Call
import retrofit2.Callback
import retrofit2.Response

class DashboardViewModel : ViewModel() {
    private val anggotaKoperasi = MutableLiveData<Anggota>()
    private val anggotaUtang = MutableLiveData<Utang>()
    private val anggotaBerita = MutableLiveData<Berita>()

    init {
        getAnggotaKoperasi()
        getAnggotaUtang()
    }

    private fun getAnggotaKoperasi() {
        ApiClient().getServicePeople().getAnggota().enqueue(object : retrofit2.Callback<Anggota> {
            override fun onFailure(call: Call<Anggota>, t: Throwable) {
                anggotaKoperasi.value = null
            }

            override fun onResponse(call: Call<Anggota>, response: Response<Anggota>) {
                if (response.isSuccessful) {
                    anggotaKoperasi.value = response.body()

                } else {
                    anggotaKoperasi.value = null
                }
            }
        })
    }

    private fun getAnggotaUtang() {
        ApiClient().getServicePeople().getUtang().enqueue(object : retrofit2.Callback<Utang> {
            override fun onFailure(call: Call<Utang>, t: Throwable) {
                anggotaUtang.value = null
            }

            override fun onResponse(call: Call<Utang>, response: Response<Utang>) {
                if (response.isSuccessful) {
                    anggotaUtang.value = response.body()
                } else {
                    anggotaUtang.value = null
                }
            }
        })
    }

    private fun getGetAnggotaBerita(){
        ApiClient().getServicePeople().getBerita().enqueue(object : Callback<Berita>{
            override fun onFailure(call: Call<Berita>, t: Throwable) {
                anggotaBerita.value = null
            }

            override fun onResponse(call: Call<Berita>, response: Response<Berita>) {
                if(response.isSuccessful){
                    anggotaBerita.value = response.body()
                }else{
                    anggotaBerita.value = null
                }
            }
        })
    }

    fun setDataAnggota(): MutableLiveData<Anggota> {
        return anggotaKoperasi
    }

    fun setDataUtang(): MutableLiveData<Utang> {
        return anggotaUtang
    }

    fun setDataBerita(): MutableLiveData<Berita>{
        return anggotaBerita
    }
    //  val anggota : Int? = anggotaKoperasi.value?.get(0)?.saldoAnggota


}