package com.proyek.akhir.kodel.ui.user.dashboard.history


import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.recyclerview.widget.LinearLayoutManager
import com.proyek.akhir.kodel.R
import com.proyek.akhir.kodel.data.local.History
import kotlinx.android.synthetic.main.activity_history.*


class HistoryActivity : AppCompatActivity() {
    private val listHistory: MutableList<History> = mutableListOf()
    private lateinit var historyAdapter: HistoryAdapter

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_history)

        rvHistory.setHasFixedSize(true)

        listHistory.addAll(getListHistory())

        showRecyclerView()
    }

    private fun showRecyclerView() {
        rvHistory.layoutManager = LinearLayoutManager(this, LinearLayoutManager.VERTICAL, false)
        historyAdapter = HistoryAdapter(listHistory)
        rvHistory.adapter = historyAdapter

    }

    private fun getListHistory(): ArrayList<History> {
        val data = resources.getStringArray(R.array.history)

        val listHistoryAll = ArrayList<History>()
        for (i in data.indices) {
            val history = History(
                data[i],
                data[i]
            )
            listHistoryAll.add(history)
        }
        return listHistoryAll
    }
}
