package com.proyek.akhir.kodel.ui.user.produk

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.proyek.akhir.kodel.data.response.Produk
import com.proyek.akhir.kodel.utils.ApiClient
import retrofit2.Call
import retrofit2.Response

class ProdukViewModel : ViewModel() {
    private val anggotaProduk = MutableLiveData<Produk>()

    init {
        getProduk()
    }

    private fun getProduk() {
        ApiClient().getServicePeople().getProduk().enqueue(object : retrofit2.Callback<Produk> {
            override fun onFailure(call: Call<Produk>, t: Throwable) {
                anggotaProduk.value = null
            }

            override fun onResponse(call: Call<Produk>, response: Response<Produk>) {
                if (response.isSuccessful) {
                    anggotaProduk.value = response.body()
                } else {
                    anggotaProduk.value = null
                }
            }
        })
    }

    fun setDataProduk(): MutableLiveData<Produk> {
        return anggotaProduk
    }
}